# $Revision: 1.17 $, $Date: 2012/03/12 19:55:50 $
Summary:	fish - A friendly interactive shell
Summary(pl.UTF-8):	fish - przyjazna interaktywna powłoka
Name:		fish
Version:	1.23.1
Release:	3
License:	GPL v2
Group:		Applications/Shells
Source0:	http://www.fishshell.com/files/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	ead6b7c6cdb21f35a3d4aa1d5fa596f1
Patch0:		%{name}-link.patch
Patch1:		%{name}-includes.patch
URL:		http://fishshell.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	ncurses-devel
Requires:	man-db
Suggests:	xsel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fish is a shell geared towards interactive use. Its features are
focused on user friendlieness and discoverability. The language syntax
is simple but incompatible with other shell languages.

%description -l pl.UTF-8
fish jest powłoką nastawioną na interaktywne używanie. Jego cechą jest
przyjazne nastawienie dla użytkownika. Składnia języka jest prosta ale
nie jest zgodna z innymi językami powłoki.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%{__autoheader}
CPPFLAGS="-I/usr/include/ncurses"

%configure \
	--docdir=%{_docdir}/%{name}-%{version} \
	--without-xsel

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README user_doc/html/*.{html,css,png}
%attr(755,root,root) %{_bindir}/fish*
%attr(755,root,root) %{_bindir}/mimedb
%attr(755,root,root) %{_bindir}/set_color
%{_datadir}/%{name}
%dir %{_sysconfdir}/fish
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fish/config.fish
%{_mandir}/man1/fish*.1*
%{_mandir}/man1/mimedb.1*
%{_mandir}/man1/set_color.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fish.spec,v $
Revision 1.17  2012/03/12 19:55:50  baggins
- rel 3
- whatis now in main man-db package

Revision 1.16  2011/08/31 18:29:29  arekm
- release 2

Revision 1.15  2011/06/12 00:39:41  evil
- up to 1.23.1
- s/fishshell.org/fishshell.com/g (I know its ibsolete, but current fishshell.org content is "It works!")
- rework html docs installation (dunno how clean it is, but previous rel caused bad path in fish executable (so 'help' command didnt worked)
- updated fish-link.patch and removed fish-ac.patch(now upstream)

Revision 1.14  2008/08/17 14:34:41  adamg
- -ac.patch and -includes.patch -- buildfixes

Revision 1.13  2008-02-09 13:34:34  qboosh
- use external xsel (Suggests; needed only for X clipboard integration)
- fish_inputrc no longer exists, replaced by internal readline handling
- GPL v2 (only)

Revision 1.12  2008-02-09 13:20:09  qboosh
- pass -I in CPPFLAGS to avoid configure "rejected by preprocessor" warnings

Revision 1.11  2008-01-17 04:32:44  aredridel
- 1.23.0

Revision 1.10  2007-08-25 13:46:35  qboosh
- added link patch instead of LIBS hack
- fixed docs location (no junk in top-level /usr/share/doc)

Revision 1.9  2007/08/22 16:58:02  aredridel
- BR: autoconf, gettext-devel, xorg-lib-libXt-devel
- R: man-whatis
- Correct doc building
- autoconf, autoheader

Revision 1.8  2007/05/31 21:21:56  aredridel
- 1.22.3

Revision 1.7  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.5  2006/11/27 18:45:30  glen
- unify

Revision 1.4  2006/11/27 14:13:47  japhy
- Up to 1.22.1
- Fix --as-needed

Revision 1.3  2006/09/04 19:38:30  jackass
- up to 1.21.12
- makefile patch obsolete

Revision 1.2  2006/08/27 20:18:44  qboosh
- initial cleanups

Revision 1.1  2006/08/27 20:15:45  qboosh
- forgotten spec from jackass; just changed source to .bz2 and dropped unnecessary configure patch
